/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 22/01/2018
 --------------------------------------------------------
*/
package com.portofolio.dto;

import  javax.validation.constraints.NotNull;
import  javax.validation.constraints.Max;
import  lombok.Getter;
import  lombok.Setter;


@Getter
@Setter
public class HubunganDto {
    
    private Integer kdHubungan;
    
    @NotNull(message = "hubungan.namahubungan.notnull")
    private String namaHubungan;
    
    @NotNull(message = "hubungan.reportdisplay.notnull")
    private String reportDisplay;
    
    private Integer noUrut;
    
    private Integer kdHubunganHead;
    
    private String kodeExternal;
    
    private String namaExternal;
    
    private String kdDepartemen;
    
    @NotNull(message = "hubungan.statusenabled.notnull")
    private Boolean statusEnabled;
     

}
